# /builddir/build/BUILD/alsa-lib-1.1.0/src/error.c File Reference

Error code handling routines. More...

## Functions

const char * | snd_strerror (int errnum)
| Returns the message for an error code.
snd_local_error_handler_t | snd_lib_error_set_local (snd_local_error_handler_t func)
| Install local error handler.
int | snd_lib_error_set_handler (snd_lib_error_handler_t handler)
| Sets the error handler.
const char * | snd_asoundlib_version (void)
| Returns the ALSA sound library version in ASCII format.

## Variables

snd_lib_error_handler_t | snd_lib_error = snd_lib_error_default
snd_lib_error_handler_t | snd_err_msg = snd_err_msg_default

## Detailed Description

Error code handling routines.

Author:
  Jaroslav Kysela <perex@perex.cz>

Date:
  1998-2001

Error code handling routines.

## Function Documentation

snd_local_error_handler_t snd_lib_error_set_local | ( | snd_local_error_handler_t | func | ) |

Install local error handler.

Parameters:

  | func | The local error handler function

Return values:

  | Previous | local error handler function

## Variable Documentation

snd_lib_error_handler_t snd_err_msg = snd_err_msg_default

The ALSA error message handler

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines